- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
tbb::flow::interface7::graph_iterator< GraphContainerType, GraphNodeType > Class Template Reference

## Public Types
typedef size_t | size_type
typedef GraphNodeType | value_type
typedef GraphNodeType * | pointer
typedef GraphNodeType & | reference
typedef const GraphNodeType & | const_reference
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions
| graph_iterator ()
| Default constructor.
| graph_iterator (const graph_iterator &other)
| Copy constructor.
graph_iterator & | operator= (const graph_iterator &other)
| Assignment.
reference | operator* () const
| Dereference.
pointer | operator-> () const
| Dereference.
bool | operator== (const graph_iterator &other) const
| Equality.
bool | operator!= (const graph_iterator &other) const
| Inequality.
graph_iterator & | operator++ ()
| Pre-increment.
graph_iterator | operator++ (int)
| Post-increment.

## Friends
class | graph
class | graph_node

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.